DataSourceRepository
Keywords: uk.ac.ic.doc.automed.DataSourceRepository class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed
Class DataSourceRepository

    java.lang.Object
      uk.ac.ic.doc.automed.DSR
          uk.ac.ic.doc.automed.DataSourceRepository

All Implemented Interfaces:
  uk.ac.ic.doc.automed.xml.XMLifyConstants

Deprecated. Old name for `DSR`

    public class DataSourceRepository

extends DSR

Author:
  Michael Boyd

Nested Class Summary

Nested classes/interfaces inherited from interface uk.ac.ic.doc.automed.xml.XMLifyConstants
`uk.ac.ic.doc.automed.xml.XMLifyConstants.IgnoreNextElementException`

Field Summary

Fields inherited from interface uk.ac.ic.doc.automed.xml.XMLifyConstants
`CHARACTERS, CHILDREN, DEFINITIVE, DEFINITIVE_CHILDREN, DEFINITIVE_CHILDREN_RECURSE, DEFINITIVE_MEMBER, DEFINITIVE_MEMBER_AND_CHILDREN, DEFINITIVE_MEMBER_RECURSE, END_DOCUMENT, END_ELEMENT, ERROR, EXCLUDE, EXCLUDE_MEMBER, FATAL_ERROR, FIRSTPASS, IGNORABLE_WHITESPACE, MEMBER, NOTATION_DECL, OBJECT, OBJECT_CHILDREN, OBJECT_CHILDREN_RECURSE, OBJECT_MEMBER, OBJECT_MEMBER_AND_CHILDREN, OBJECT_MEMBER_RECURSE, ONEPASS, PRIMITIVE, PRIMITIVE_CHILDREN, PRIMITIVE_CHILDREN_RECURSE, PRIMITIVE_MEMBER, PRIMITIVE_MEMBER_AND_CHILDREN, PRIMITIVE_MEMBER_RECURSE, PROCESSING_INSTRUCTION, RECURSE, REFERENCE, REFERENCE_CHILDREN, REFERENCE_CHILDREN_RECURSE, REFERENCE_MEMBER, REFERENCE_MEMBER_AND_CHILDREN, REFERENCE_MEMBER_RECURSE, SAX_ERROR, SECONDPASS, START_DOCUMENT, START_ELEMENT, UNPARSED_ENTITY_DECL, WARNING`

Constructor Summary
`DataSourceRepository()` Deprecated.

Method Summary

Methods inherited from class uk.ac.ic.doc.automed.DSR
`addCommand, addReloadHook, dispatchCommand, doCreateCommand, doCreatedbCommand, doDefaultCommand, doDisplayCommand, doDropdbCommand, doGetCommand, doHelpCommand, doIsCommand, doPopulatedbCommand, doPrintCommand, doReloadCommand, doRemoveCommand, doSetCommand, executeStatement, executeStatement, executeStatements, executeStatements, getCommandClass, getConfigFileName, getConnectionJDBCURL, getConnectionUsername, getDataSourceConnection, getDataSourceConnection, getDataSourceProperty, getDefaultDataSource, getDefaultUserName, main, readConfigFile, readConfigFile, setCommandClass, setCommandHelp, setConfigFileName, setDefaultDataSource, setDefaultUserName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSourceRepository

    public DataSourceRepository()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD